from collections.abc import Sequence


def _isSequence(obj):
    if isinstance(obj, Sequence) and not isinstance(obj, (str, bytes, bytearray)):
        return True
    if type(obj) in (list, tuple, dict):
        return True
    return False


def printg(obj, normal=False, *args, **kwargs):
    if _isSequence(obj):
        for line in obj:
            print(line, *args, **kwargs)
        return
    print(obj, *args, **kwargs)
