class iterFile(object):
    def __init__(self, path):
        self._file = open(path)

    @property
    def _readline(self):
        line = self._file.readline()
        if not line:
            raise StopIteration
        return line.rstrip()

    def __iter__(self):
        return self

    def __next__(self):
        try:
            return self._readline
        except StopIteration:
            raise StopIteration()
        except:
            """ to future implementations """
            raise StopIteration()

    def __del__(self):
        """ closes file """
        self._file.close()